class TrackbackSweeper < ActionController::Caching::Sweeper
  include PageCacheSweeper
  observe Trackback
  
  def after_create trackback
    execute trackback
  end

  def after_update trackback
    execute trackback
  end
  
  def after_destroy trackback
    execute trackback
  end

  private
  def execute trackback
    expire_fragment "new_trackbacks"
    expire_fragment "side_contents"
    expire_fragment "trackbacks#{trackback.diary.id.to_s}"
    all_expire_page
  end
end
