require "migration_helpers"
class CreateEntries < ActiveRecord::Migration
  extend MigrationHelpers
  # FIXME created_atのインデックスが無い．．．by keisen
  # FIXME というか公開予約機能が付いたらカラムが一つ追加になるからいいのか．．．by keisen
  def self.up
    create_table :entries, :force => true, :options => "ENGINE=innodb DEFAULT CHARSET=utf8" do |t|
      t.column :diary_id, :integer, :null => false
      t.column :title, :string, :limit => 255, :null => false
      t.column :body, :mediumtext, :null => false
      t.column :created_at, :datetime, :null => false
      t.column :updated_at, :datetime, :null => false
    end
    add_index :entries, [:diary_id]
    foreign_key :entries, :diary_id, :diaries
  end
  def self.down
    drop_table :entries
  end
end
