class CreateTrackbacks < ActiveRecord::Migration
  extend MigrationHelpers
  def self.up
    # FIXME diary_idとcreated_atでインデックスが必要
    # FIXME diary_idでforign_keyが必要
    create_table :trackbacks, :force => true, :options => "ENGINE=innodb DEFAULT CHARSET=utf8" do |t|
      t.column :title, :string, :limit => 255, :null => false
      t.column :excerpt, :string, :limit => 255, :null => false
      t.column :url, :string, :limit => 255, :null => false
      t.column :blog_name, :string, :limit => 255, :null => false
      t.column :diary_id, :integer, :null => false
      t.column :created_at, :datetime, :null => false
      t.column :updated_at, :datetime, :null => false
    end
  end

  def self.down
    drop_table :trackbacks
  end
end
