class InsertNgramTexts < ActiveRecord::Migration
  def self.up
    Entry.find(:all).each do |entry|
      text = NgramText.new
      text.entry_id = entry.id
      ngram = entry.title.ngram
      text.title = (ngram.nil?) ? nil : ngram.toutf8
      ngram = entry.body.ngram
      text.body = (ngram.nil?) ? nil : ngram.toutf8
      text.save
    end
  end

  def self.down
    NgramText.delete_all
  end
end
