require File.dirname(__FILE__) + '/../test_helper'

class TrackbackTest < Test::Unit::TestCase
  fixtures :trackbacks

  def test_validate
    #日本語サイトのテスト
    trackback = Trackback.new(:title => "あああaaa",
                      :excerpt => "hoge",
                      :url => "http://blog.goo.ne.jp/glass-_-onion/e/75b2a8a273aaacd0748b4b55304c29ca",
                      :blog_name => "hage?",
                      :diary_id => 0)
    assert trackback.valid?
    #海外サイトのテスト
    trackback = Trackback.new(:title => "aaa",
                      :excerpt => "hoge",
                      :url => "http://blog.goo.ne.jp/glass-_-onion/e/75b2a8a273aaacd0748b4b55304c29ca",
                      :blog_name => "hage?",
                      :diary_id => 0)
    assert !trackback.valid?
    #URLが存在しない場合のテスト
    trackback = Trackback.new(:title => "あああ",
                      :excerpt => "hoge",
                      :url => "http://hoge",
                      :blog_name => "hage?",
                      :diary_id => 0)
    assert !trackback.valid?
    #URLが存在しない場合のテスト
    trackback = Trackback.new(:title => "あああ",
                      :excerpt => "hoge",
                      :url => "http://blog.goo.ne.jp/hogehoge",
                      :blog_name => "hage?",
                      :diary_id => 0)
    assert !trackback.valid?
  end
end
