module EmeryHelper
  #FIXME このメソッドの正しい置き場所が不明 by Rails弱者
  def convFromMt(data)
    @diaries = Hash.new
    @diary = Diary.new
    
    data.split("-----").each{|line|
      #:ENTRY
      if /^AUTHOR:/ =~ line && ! (/^COMMENT:/ =~ line ) 
        if @entry 
          @diary.entries << @entry
        end
        @entry = Entry.new
        /^DATE: (.*$)/ =~ line
        date = Date.strptime($1.slice(0,10), "%m/%d/%Y")
        unless @diary = @diaries[date] 
          @diary = Diary.new
          @diary.date = date
          @diaries.store(date,@diary)
        end
        /^TITLE: (.*$)/ =~ line
        
        @entry.title = $1
        /^CATEGORY: (.*$)/ =~ line
        tag = $1
      end
      
      #:BODY
      if /^BODY:.*/ =~ line 
        body = line.sub("BODY:","").gsub("\n","")
        @entry.body = body
      end
      
      #;COMMENTS
      if /^COMMENT:/ =~ line
        coment = Comment.new
        
        /^AUTHOR: (.*$)/ =~ line 
        coment.author = $1
        
        /^URL: (.*$)/ =~ line
        coment.url = $1  
        
        splited = line.split("\n")
        coment.body = splited[splited.size-1]
        @diary.comments  << coment
      end
      
    }
    
    @diary.entries << @entry
    @diaries.store(@diary.date,@diary)
    return @diaries
  end
  module_function :convFromMt

  def convToMt(diaries)
    @spliter = "-----\n"
    @export = String.new
    diaries.each{|diary|

    @date = diary.date
      diary.entries.each{|entry|
        @export << "AUTHOR: \n"
        @export << "TITLE: " + entry.title + "\n"
        @export << "STATUS: Publish \n"
        @export << "ALLOW COMMENTS: 1 \n"
        @export << "CONVERT BREAKS: 1 \n"  
        @export << "ALLOW PINGS: 1 \n"          
        @export << "DATE: " + @date.strftime("%m/%d/%Y %H:%M:%S %P") + "\n"        
        @export << @spliter
        @export << "BODY: \n"+ entry.body.gsub(/[\s]+</,"\n<") + "\n\n" + @spliter
        @export << "EXTENDED BODY: \n\n"+ @spliter
        @export << "EXCERPT: \n\n"+ @spliter
        @export << "KEYWORDS: \n\n"+ @spliter
      }

      diary.comments.each{|comment|
        @export << @spliter + "COMMENT: \n"
        @export << "AUTHOR: " + comment.author + "\n"
        @export << "EMAIL: \n" #TODO add email to Comment
        @export << "IP: \n" #TODO add ip to Comment
        @export << "URL: " + comment.url + "\n"                 
        @export << "DATE: \n" #TODO add date to Comment
        @export << comment.body + "\n" + @spliter
      }

    }
    return @export
  end
  module_function :convToMt
end
