class ConfigurationSweeper < ActionController::Caching::Sweeper
  include PageCacheSweeper
  observe EmeryConfig
  
  def after_create config
    execute config
  end
  
  def after_update config
    execute config
  end
  
  def after_destroy config
    execute config
  end

  private
  def execute config
    expire_fragment "header"

    all_expire_page
  end
end
