class CreateConfigurations < ActiveRecord::Migration
  # FIXME 初期データの入力．．．by keisen
  def self.up
    create_table :configurations, :force => true, :options => "ENGINE=innodb DEFAULT CHARSET=utf8" do |t|
      t.column :title, :string, :limit => 255, :null => false
      t.column :description, :text, :null => true
      t.column :per_page, :integer, :limit => 3, :default => 5
      t.column :new_entries_limit, :integer, :limit => 3, :default => 10
      t.column :new_comments_limit, :integer, :limit => 3, :default => 10
    end
  end

  def self.down
    drop_table :configurations
  end
end
