class CreateTags < ActiveRecord::Migration
  def self.up
    create_table :tags, :force => true, :options => "ENGINE=innodb DEFAULT CHARSET=utf8" do |t|
      t.column :name, :string, :limit => 255, :null => false
    end
    add_index :tags, :name, :options => {:unique => true}
  end

  def self.down
    drop_table :tags
  end
end
