class CreateDiaries < ActiveRecord::Migration
  def self.up
    create_table :diaries, :force => true, :options => "ENGINE=innodb DEFAULT CHARSET=utf8" do |t|
      t.column :date, :date, :null => false
    end
    add_index :diaries, :date, :options => {:unique => true}
  end

  def self.down
    drop_table :diaries
  end
end
