class CreateMyClipboads < ActiveRecord::Migration
  def self.up
    create_table :my_clipboads, :force => true, :options => "ENGINE=innodb DEFAULT CHARSET=utf8" do |t|
      t.column :body, :string, :null => false
      t.column :use_count, :integer, :default => 0
    end
    add_index :my_clipboads, :use_count, :options => {:unique => true}
    MyClipboad.new(:body => '<a href=""></a>', :use_count => 0).save
    MyClipboad.new(:body => '<br />', :use_count => 0).save
    MyClipboad.new(:body => '<pre></pre>', :use_count => 0).save
    MyClipboad.new(:body => '<blockquote></blockquote>', :use_count => 0).save
    MyClipboad.new(:body => '<span style="color:"></span>', :use_count => 0).save
    MyClipboad.new(:body => '<p></p>', :use_count => 0).save
    MyClipboad.new(:body => '<ul></ul>', :use_count => 0).save
    MyClipboad.new(:body => '<ol></ol>', :use_count => 0).save
    MyClipboad.new(:body => '<li></li>', :use_count => 0).save
    MyClipboad.new(:body => '<img src="" alt="" />', :use_count => 0).save
  end
  
  def self.down
    drop_table :my_clipboads
  end
end
