class CreateEmeryLogs < ActiveRecord::Migration
  extend MigrationHelpers
  def self.up
    create_table :emery_logs, :force => true, :options => "ENGINE=innodb DEFAULT CHARSET=utf8" do |t|
      t.column :remote, :string, :limit => 255
      t.column :date, :datetime
      t.column :method, :string, :limit => 255
      t.column :status, :string, :limit => 3
      t.column :refere, :string, :limit => 255
      t.column :user_agent, :string, :limit => 255
      t.column :created_at, :datetime, :null => false
      t.column :updated_at, :datetime, :null => false
    end
  end

  def self.down
    drop_table :emery_logs
  end
end
